import { IEffectsAction } from 'redux-effects-promise';
export declare class ConnectorActionBuilder {
    /**
     * @stable [19.12.2019]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildInitPlainAction(section: string): IEffectsAction;
    /**
     * @stable [19.12.2019]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyPlainAction(section: string): IEffectsAction;
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildInitActionType(section: string): string;
    /**
     * @stable [25.11.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildInitErrorActionType(section: string): string;
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildDestroyActionType(section: string): string;
}
