"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketChannel = void 0;
var io = require("socket.io-client/dist/socket.io");
var inversify_1 = require("inversify");
var base_channel_service_1 = require("../base-channel.service");
var SocketChannel = /** @class */ (function (_super) {
    __extends(SocketChannel, _super);
    function SocketChannel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [21.05.2018]
     * @param {string} ip
     * @param {AnyT} config
     */
    SocketChannel.prototype.connect = function (ip, config) {
        this.registerClient(ip, io(ip, __assign({ transports: ['websocket'] }, config)));
    };
    /**
     * @stable [21.05.2018]
     * @param ip
     */
    SocketChannel.prototype.disconnect = function (ip) {
        this.unregisterClient(ip);
    };
    SocketChannel = __decorate([
        inversify_1.injectable()
    ], SocketChannel);
    return SocketChannel;
}(base_channel_service_1.BaseChannel));
exports.SocketChannel = SocketChannel;
//# sourceMappingURL=socket-channel.service.js.map