"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsavedFormChangesDialogContainer = void 0;
var React = require("react");
var generic_container_1 = require("../../base/generic.container");
var util_1 = require("../../../util");
var unsaved_form_changes_dialog_component_1 = require("./unsaved-form-changes-dialog.component");
/**
 * @component-container-impl
 * @stable [15.06.2020]
 *
 * Please use the "Mappers.unsavedFormChangesDialogContainerProps"
 */
var UnsavedFormChangesDialogContainer = /** @class */ (function (_super) {
    __extends(UnsavedFormChangesDialogContainer, _super);
    function UnsavedFormChangesDialogContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [15.06.2020]
     * @returns {JSX.Element}
     */
    UnsavedFormChangesDialogContainer.prototype.render = function () {
        var originalProps = this.originalProps;
        var dfccStoreProxy = originalProps.proxyContainer.dfccStoreProxy;
        return (React.createElement(unsaved_form_changes_dialog_component_1.UnsavedFormChangesDialog, __assign({}, util_1.Mappers.unsavedFormChangesDialogContainerPropsAsUnsavedFormChangesDialogProps(originalProps), { ref: dfccStoreProxy.getDialogRef(), onAccept: dfccStoreProxy.goBack })));
    };
    return UnsavedFormChangesDialogContainer;
}(generic_container_1.GenericContainer));
exports.UnsavedFormChangesDialogContainer = UnsavedFormChangesDialogContainer;
//# sourceMappingURL=unsaved-form-changes-dialog.container.js.map