"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DnD = void 0;
var React = require("react");
var react_dropzone_1 = require("react-dropzone");
var generic_component_1 = require("../base/generic.component");
var util_1 = require("../../util");
var definition_1 = require("../../definition");
/**
 * @component-impl
 * @stable [18.10.2020]
 */
var DnD = /** @class */ (function (_super) {
    __extends(DnD, _super);
    /**
     * @stable [17.10.2020]
     * @param originalProps
     */
    function DnD(originalProps) {
        var _this = _super.call(this, originalProps) || this;
        _this.onDrop = _this.onDrop.bind(_this);
        return _this;
    }
    /**
     * @stable [18.10.2020]
     */
    DnD.prototype.render = function () {
        var _this = this;
        var disabled = this.originalProps.disabled;
        return (React.createElement(react_dropzone_1.default, { ref: this.actualRef, disabled: disabled, onDrop: this.onDrop }, function (_a) {
            var getRootProps = _a.getRootProps, getInputProps = _a.getInputProps;
            return (React.createElement(React.Fragment, null,
                React.createElement("div", __assign({}, getRootProps(), { className: definition_1.DndClassesEnum.DND }),
                    React.createElement("input", __assign({}, getInputProps())),
                    _this.t(_this.settings.messages.UPLOAD_FILES_HERE),
                    _this.originalChildren)));
        }));
    };
    /**
     * @stable [17.10.2020]
     */
    DnD.prototype.open = function () {
        this.actualRef.current.open();
    };
    /**
     * @stable [17.10.2020]
     * @param files
     * @private
     */
    DnD.prototype.onDrop = function (files) {
        util_1.ConditionUtils.ifNotNilThanValue(this.originalProps.onSelect, function (onSelect) { return onSelect(files); });
    };
    return DnD;
}(generic_component_1.GenericComponent));
exports.DnD = DnD;
//# sourceMappingURL=dnd.component.js.map