/// <reference types="react" />
import { BaseList } from './base-list.component';
import { BasicList } from './basic';
import { IEntity } from '../../definitions.interface';
import { IListProps } from '../../definition';
export declare class List extends BaseList<IListProps, {}, BasicList> {
    /**
     * @stable [17.08.2020]
     */
    protected getView(): JSX.Element;
    /**
     * @stable [17.08.2020]
     * @param entity
     * @param index
     */
    protected getItem(entity: IEntity, index: number): JSX.Element;
}
