import { IGenericComponent, IGenericComponentProps, IGenericPlugin } from '../../definition';
export declare class AutoScrollTopPlugin implements IGenericPlugin {
    private readonly component;
    private readonly domAccessor;
    private contentHeight;
    /**
     * @stable [21.04.2020]
     * @param {IGenericComponent<IGenericComponentProps, {}, HTMLElement>} component
     */
    constructor(component: IGenericComponent<IGenericComponentProps, {}, HTMLElement>);
    /**
     * @stable [27.10.2018]
     */
    componentDidUpdate(): void;
    /**
     * @stable [27.10.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [21.04.2020]
     */
    private updateScrollTop;
}
