"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubHeader = void 0;
var React = require("react");
var util_1 = require("../../util");
var button_1 = require("../button");
var generic_component_1 = require("../base/generic.component");
var definition_1 = require("../../definition");
/**
 * @component-impl
 * @stable [22.05.2020]
 */
var SubHeader = /** @class */ (function (_super) {
    __extends(SubHeader, _super);
    function SubHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [22.05.2020]
     * @returns {JSX.Element}
     */
    SubHeader.prototype.render = function () {
        var mergedProps = this.mergedProps;
        var items = mergedProps.items, _a = mergedProps.navigationActionConfiguration, navigationActionConfiguration = _a === void 0 ? {} : _a, navigationActionRendered = mergedProps.navigationActionRendered, subBorder = mergedProps.subBorder, title = mergedProps.title, titleRenderer = mergedProps.titleRenderer;
        var headerTitleElement = title === false
            ? null
            : (React.createElement("span", { className: definition_1.SubHeaderClassesEnum.SUB_HEADER_SECTION_TITLE }, title));
        return (React.createElement("div", { className: util_1.ClsUtils.joinClassName(definition_1.SubHeaderClassesEnum.SUB_HEADER, subBorder && definition_1.SubHeaderClassesEnum.SUB_HEADER_SUB_BORDER) },
            navigationActionRendered && (React.createElement(button_1.Button, __assign({ icon: definition_1.IconsEnum.ARROW_LEFT }, navigationActionConfiguration, { className: util_1.ClsUtils.joinClassName(definition_1.SubHeaderClassesEnum.SUB_HEADER_NAVIGATION_ACTION, util_1.CalcUtils.calc(navigationActionConfiguration.className)) }))),
            util_1.TypeUtils.isFn(titleRenderer)
                ? titleRenderer(headerTitleElement)
                : headerTitleElement,
            items));
    };
    Object.defineProperty(SubHeader.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {ISubHeaderProps}
         */
        get: function () {
            return this.componentsSettings.subHeader;
        },
        enumerable: false,
        configurable: true
    });
    return SubHeader;
}(generic_component_1.GenericComponent));
exports.SubHeader = SubHeader;
//# sourceMappingURL=sub-header.component.js.map