/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { ITabPanelProps } from '../../definition';
export declare class TabPanel extends GenericComponent<ITabPanelProps> {
    static readonly defaultProps: ITabPanelProps;
    /**
     * @stable [12.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [28.07.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [28.07.2020]
     * @param event
     * @param tab
     */
    private onTabClick;
    /**
     * @stable [28.07.2020]
     */
    private onDeactivateValue;
    /**
     * @stable [12.02.2020]
     * @param {ITabProps} tab
     * @param {number} index
     * @param {number} activeValue
     * @returns {JSX.Element}
     */
    private asTabElement;
    /**
     * @stable [12.02.2020]
     * @returns {number}
     */
    private get activeValue();
}
