/// <reference types="react" />
import { GenericComponent } from '../../base/generic.component';
import { ISearchToolbarProps } from '../../../definition';
/**
 * @component-impl
 * @stable [06.05.2020]
 *
 * Please use the "Mappers.searchToolbarProps"
 */
export declare class SearchToolbar extends GenericComponent<ISearchToolbarProps> {
    static readonly defaultProps: ISearchToolbarProps;
    /**
     * @stable [06.05.2020]
     * @param {ISearchToolbarProps} props
     */
    constructor(props: ISearchToolbarProps);
    /**
     * @stable [06.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [06.05.2020]
     */
    private onActivate;
    /**
     * @stable [06.05.2020]
     */
    private onDeactivate;
    /**
     * @stable [06.05.2020]
     * @param {string} query
     */
    private onChange;
    /**
     * @stable [06.05.2020]
     */
    private onDelay;
    /**
     * @stable [06.05.2020]
     * @returns {IFieldActionEntity[]}
     */
    private get actions();
    /**
     * @stable [06.05.2020]
     * @returns {string}
     */
    private get isActive();
    /**
     * @stable [06.05.2020]
     * @returns {string}
     */
    private get query();
}
