import { IViewerCtor, IViewerLocator, ViewersEnum } from '../../definition';
export declare class ViewerLocator implements IViewerLocator {
    private readonly viewers;
    /**
     * @stable [19.06.2020]
     * @param {ViewersEnum} name
     * @param {IViewerCtor} ctor
     */
    register(name: ViewersEnum, ctor: IViewerCtor): void;
    /**
     * @stable [19.06.2020]
     * @returns {IViewerCtor}
     */
    resolve(name: ViewersEnum): IViewerCtor;
}
