"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$RAC_STACK_REMOVE_ACTION_TYPE = exports.$RAC_STACK_PUSH_ACTION_TYPE = exports.$RAC_STACK_POP_ACTION_TYPE = exports.$RAC_STACK_LOCK_ACTION_TYPE = exports.INITIAL_REDUX_STACK_ENTITY = void 0;
var definitions_interface_1 = require("../definitions.interface");
/**
 * @initial-redux-entity
 * @stable [21.05.2020]
 */
exports.INITIAL_REDUX_STACK_ENTITY = Object.freeze({
    destroySections: [],
    lock: false,
    stack: [],
});
/**
 * @stable [19.12.2019]
 */
exports.$RAC_STACK_LOCK_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "stack.lock";
exports.$RAC_STACK_POP_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "stack.pop";
exports.$RAC_STACK_PUSH_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "stack.push";
exports.$RAC_STACK_REMOVE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "stack.remove";
//# sourceMappingURL=stack-definition.interface.js.map