import { AnyT } from '../definitions.interface';
/**
 * @stable [09.10.2019]
 * @param {(...args) => AnyT} sourceFn
 * @param {(...args) => AnyT} nextFn
 * @param {AnyT} nextFnScope
 * @returns {(...args) => AnyT}
 */
export declare const sequence: (sourceFn: (...args: any[]) => AnyT, nextFn: (...args: any[]) => AnyT, nextFnScope?: AnyT) => (...args: any[]) => AnyT;
export declare function noop(): void;
