"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileField = void 0;
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var base_file_field_component_1 = require("./base-file-field.component");
/**
 * @component-impl
 * @stable [21.08.2020]
 */
var FileField = /** @class */ (function (_super) {
    __extends(FileField, _super);
    function FileField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [21.08.2020]
     */
    FileField.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.FileFieldClassesEnum.FILE_FIELD);
    };
    FileField.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps({
        displayMessage: '%d file(s)',
        preventFocus: true,
    }, base_file_field_component_1.BaseFileField);
    return FileField;
}(base_file_field_component_1.BaseFileField));
exports.FileField = FileField;
//# sourceMappingURL=file-field.component.js.map