import * as React from 'react';
import { BaseGridColumn } from '../base-column';
import { IGridColumnProps } from '../../../definition';
export declare class GridColumn extends BaseGridColumn {
    static readonly defaultProps: IGridColumnProps;
    /**
     * @stable [21.07.2020]
     * @param {IGridColumnProps} originalProps
     */
    constructor(originalProps: IGridColumnProps);
    /**
     * @stable [21.07.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [21.07.2020]
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>}
     */
    protected getColumnContentProps(): React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
    /**
     * @stable [21.07.2020]
     */
    private onColumnClick;
    /**
     * @stable [21.07.2020]
     */
    private onColumnContentClick;
}
