/// <reference types="react" />
import { GenericContainer } from '../../base/generic.container';
import { IDefaultLayoutContainerProps } from '../../../definition';
export declare class DefaultLayoutContainer extends GenericContainer<IDefaultLayoutContainerProps> {
    private readonly navigationMenuBuilder;
    /**
     * @stable [18.09.2018]
     * @param {IDefaultLayoutContainerProps} props
     */
    constructor(props: IDefaultLayoutContainerProps);
    render(): JSX.Element;
    /**
     * @stable [06.02.2020]
     * @param {IPresetsMenuItemEntity} item
     */
    private onHeaderMenuSelectItem;
    /**
     * @stable [27.05.2020]
     */
    private onDrawerHeaderClick;
    /**
     * @stable [23.12.2019]
     * @param {IPresetsXYEntity} xy
     */
    private onNavigationListScroll;
    /**
     * @stable [18.09.2018]
     * @returns {INavigationListItemEntity[]}
     */
    private get menuItems();
    /**
     * @stable [04.12.2019]
     */
    private onChangeLayoutMode;
    private get navigationListElement();
    /**
     * @stable [24.03.2020]
     * @param {INavigationListItemEntity} item
     */
    private onNavigationListClick;
    private onNavigationListGroupClick;
}
