"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicList = void 0;
var React = require("react");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var enhanced_generic_component_1 = require("../../base/enhanced-generic.component");
/**
 * @component-impl
 * @stable [11.06.2020]
 */
var BasicList = /** @class */ (function (_super) {
    __extends(BasicList, _super);
    function BasicList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [17.08.2020]
     */
    BasicList.prototype.render = function () {
        var originalProps = this.originalProps;
        var className = originalProps.className;
        return (React.createElement("ul", { ref: this.actualRef, className: util_1.ClsUtils.joinClassName(definition_1.ListClassesEnum.LIST, util_1.WrapperUtils.isFull(originalProps) && definition_1.ListClassesEnum.FULL_LIST, util_1.CalcUtils.calc(className)) }, this.originalChildren));
    };
    Object.defineProperty(BasicList.prototype, "componentsSettingsProps", {
        /**
         * @stable [17.08.2020]
         */
        get: function () {
            return this.componentsSettings.basicList;
        },
        enumerable: false,
        configurable: true
    });
    return BasicList;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.BasicList = BasicList;
//# sourceMappingURL=basic-list.component.js.map