/// <reference types="react" />
import { GenericContainer } from '../base';
import { IToolbarToolsContainerProps } from '../../definition';
/**
 * @component-container-impl
 * @stable [01.08.2020]
 *
 * Please use the "Mappers.toolbarToolsContainerProps"
 */
export declare class ToolbarToolsContainer extends GenericContainer<IToolbarToolsContainerProps> {
    /**
     * @stable [22.04.2020]
     * @param {IToolbarToolsContainerProps} props
     */
    constructor(props: IToolbarToolsContainerProps);
    /**
     * @stable [10.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.03.2019]
     */
    private onRefreshClick;
    /**
     * @stable [22.04.2020]
     */
    private onFilterClick;
    /**
     * @stable [22.04.2020]
     */
    private onDownloadFileClick;
    /**
     * @stable [22.04.2020]
     * @returns {IToolbarToolsProps}
     */
    private get toolbarToolsConfiguration();
}
