"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LIST_LOAD_ERROR_ACTION_TYPE = exports.LIST_LOAD_DONE_ACTION_TYPE = exports.LIST_LAZY_LOAD_ERROR_ACTION_TYPE = exports.LIST_LAZY_LOAD_DONE_ACTION_TYPE = exports.LIST_SELECT_ACTION_TYPE = exports.LIST_MERGE_ACTION_TYPE = exports.LIST_LOAD_ACTION_TYPE = exports.LIST_LAZY_LOAD_ACTION_TYPE = exports.LIST_CREATE_ACTION_TYPE = exports.LIST_CANCEL_LOAD_ACTION_TYPE = exports.DEFAULT_NOT_HOVERED_LIST_ITEM_ENTITY = exports.DEFAULT_SELECTABLE_LIST_ITEM_ENTITY = exports.INITIAL_REDUX_LIST_ENTITY = exports.ListClassesEnum = void 0;
var redux_effects_promise_1 = require("redux-effects-promise");
var page_definition_interface_1 = require("./page-definition.interface");
/**
 * @classes
 * @stable [04.05.2020]
 */
var ListClassesEnum;
(function (ListClassesEnum) {
    ListClassesEnum["CARD_LIST"] = "rac-card-list";
    ListClassesEnum["FULL_LIST"] = "rac-full-list";
    ListClassesEnum["LIST"] = "rac-list";
    ListClassesEnum["LIST_ITEM"] = "rac-list-item";
    ListClassesEnum["LIST_ITEM_CONTENT"] = "rac-list-item__content";
    ListClassesEnum["LIST_ITEM_DECORATED"] = "rac-list-item-decorated";
    ListClassesEnum["LIST_ITEM_HOVERED"] = "rac-list-item-hovered";
    ListClassesEnum["LIST_ITEM_ICON"] = "rac-list-item__icon";
    ListClassesEnum["LIST_ITEM_LAST"] = "rac-list-item-last";
    ListClassesEnum["LIST_ITEM_ODD"] = "rac-list-item-odd";
    ListClassesEnum["LIST_ITEM_SELECTABLE"] = "rac-list-item-selectable";
    ListClassesEnum["LIST_ITEM_SELECTED"] = "rac-list-item-selected";
    ListClassesEnum["LIST_ITEM_UNSELECTED"] = "rac-list-item-unselected";
})(ListClassesEnum = exports.ListClassesEnum || (exports.ListClassesEnum = {}));
/**
 * @initial-redux-entity
 * @stable [29.07.2020]
 */
exports.INITIAL_REDUX_LIST_ENTITY = Object.freeze(__assign(__assign({}, page_definition_interface_1.DEFAULT_PAGED_ENTITY), { data: null, directions: {}, lockPage: false, progress: false, rawData: null, selected: null, totalCount: 0, touched: false }));
/**
 * @default-entity
 * @stable [04.05.2020]
 */
exports.DEFAULT_SELECTABLE_LIST_ITEM_ENTITY = Object.freeze({
    selectable: true,
});
/**
 * @default-entity
 * @stable [04.05.2020]
 */
exports.DEFAULT_NOT_HOVERED_LIST_ITEM_ENTITY = Object.freeze({
    hovered: false,
});
/**
 * @stable [30.03.2020]
 */
exports.LIST_CANCEL_LOAD_ACTION_TYPE = 'list.cancel.load';
exports.LIST_CREATE_ACTION_TYPE = 'list.create';
exports.LIST_LAZY_LOAD_ACTION_TYPE = 'list.lazy.load';
exports.LIST_LOAD_ACTION_TYPE = 'list.load';
exports.LIST_MERGE_ACTION_TYPE = 'list.merge';
exports.LIST_SELECT_ACTION_TYPE = 'list.select';
/**/
exports.LIST_LAZY_LOAD_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.LIST_LAZY_LOAD_ACTION_TYPE);
exports.LIST_LAZY_LOAD_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.LIST_LAZY_LOAD_ACTION_TYPE);
exports.LIST_LOAD_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.LIST_LOAD_ACTION_TYPE);
exports.LIST_LOAD_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.LIST_LOAD_ACTION_TYPE);
//# sourceMappingURL=list-definition.interface.js.map