import { IEffectsAction } from 'redux-effects-promise';
import { IEditedListMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [04.09.2020]
 * @param config
 */
export declare const makeCreateEntityMiddleware: <TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<{}, TState, TDefaultChanges>) => IEffectsAction[];
/**
 * @stable [03.04.2020]
 * @param {IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeLazyLoadedEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction[];
/**
 * @stable [09.09.2020]
 */
export declare class EditedListMiddlewareFactories {
    static readonly selectEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(cfg: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction[];
}
