import { IEffectsAction } from 'redux-effects-promise';
import { IEntity } from '../../definitions.interface';
import { ISucceedRelatedFormMiddlewareConfig } from './middleware.interface';
import { ISucceedEditedListMiddlewareConfigEntity, ISucceedFormMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [11.04.2020]
 * @param {ISucceedFormMiddlewareConfigEntity} cfg
 * @returns {IEffectsAction[]}
 */
export declare const makeSucceedFormMiddleware: (cfg?: ISucceedFormMiddlewareConfigEntity) => IEffectsAction[];
/**
 * @deprecated Use makeSucceedRelatedFormEntityMiddleware
 */
export declare const makeSucceedRelatedFormMiddleware: <TEntity extends IEntity, TRelatedEntity extends IEntity>(config: ISucceedRelatedFormMiddlewareConfig<TEntity, TRelatedEntity, import("../../definition").IStoreEntity<{}, {}>>) => IEffectsAction[];
/**
 * @stable [10.09.2020]
 */
export declare class SucceedFormMiddlewareFactories {
    static readonly succeedEditedListMiddleware: <TState = {}>(cfg: ISucceedEditedListMiddlewareConfigEntity<TState>) => IEffectsAction[];
}
