"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mapper_1 = require("./mapper");
describe('util/mapper', function () {
    describe('entityAsExtendedEntity', function () {
        it('test1', function () {
            var extendedEntity = mapper_1.Mappers.entityAsExtendedEntity({ changes: { name: 'name2' } }, { name: 'name1', id: 100 });
            expect(extendedEntity).toEqual({
                changes: { name: 'name2' },
                entity: { name: 'name2', id: 100 },
                entityId: 100,
                newEntity: false,
                originalEntity: { name: 'name1', id: 100 },
            });
        });
        it('test2', function () {
            var extendedEntity = mapper_1.Mappers.entityAsExtendedEntity({ changes: { name: 'name2' } }, { name: 'name1' });
            expect(extendedEntity).toEqual({
                changes: { name: 'name2' },
                entity: { name: 'name2' },
                newEntity: true,
                originalEntity: { name: 'name1' },
            });
        });
    });
});
//# sourceMappingURL=mapper.spec.js.map