import { IReduxStackEntity, IReduxStackHolderEntity, IReduxStackItemEntity } from '../definition';
/**
 * @stable [19.12.2019]
 * @param {string} currentSection
 * @param {IReduxStackEntity} stackEntity
 * @returns {number}
 */
export declare const findStackItemEntityIndexBySection: (currentSection: string, stackEntity: IReduxStackEntity) => number;
/**
 * @stable [19.12.2019]
 * @param {IReduxStackEntity} stackEntity
 * @param {string} section
 * @returns {IReduxStackItemEntity[]}
 */
export declare const truncateStack: (stackEntity: IReduxStackEntity, section: string) => IReduxStackItemEntity[];
/**
 * @stable [21.05.2020]
 */
export declare class StackUtils {
    static readonly doesHolderStackEntityContainChildren: (entity: IReduxStackHolderEntity<IReduxStackEntity>) => boolean;
}
